Package ru.bitel.bgbilling.modules.bill.server.bean

# Class Invoice

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.bill.server.bean.BillDoc
ru.bitel.bgbilling.modules.bill.server.bean.Invoice

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class Invoice extends BillDoc

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Invoice()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isShowReady()`
  `Invoice`
  `setContractComment(String contractComment)`
  `Invoice`
  `setContractId(int contractId)`
  `Invoice`
  `setContractTitle(String contractTitle)`
  `Invoice`
  `setCreateDate(Date createDate)`
  `Invoice`
  `setFormatNumber(String formatNumber)`
  `Invoice`
  `setId(int id)`
  Устанавливает id объекта
  `Invoice`
  `setMonth(int month)`
  `Invoice`
  `setNumber(int number)`
  `Invoice`
  `setNumberInMonth(int numberInMonth)`
  `Invoice`
  `setNumberInYear(int numberInYear)`
  `Invoice`
  `setShowReady(boolean showReady)`
  `Invoice`
  `setSum(BigDecimal sum)`
  `Invoice`
  `setTypeId(int typeId)`
  `BillDoc`
  `setTypeTitle(String typeTitle)`
  `Invoice`
  `setUnloadStatus(int unloadStatus)`
  `Invoice`
  `setUserId(int userId)`
  Установить код создавшего пользователя
  `Invoice`
  `setYear(int year)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.bill.server.bean.BillDoc

  `getAddress, getBankAccount, getContractComment, getContractTitle, getCorrection, getCreateDate, getDocument, getFormatNumber, getMonth, getNpid, getNumber, getNumberInMonth, getNumberInYear, getOrganization, getPositionList, getRecipient, getSum, getTypeId, getTypeTitle, getUid, getUnloadStatus, getUserId, getUserName, getXmlData, getYear, setAddress, setBankAccount, setCorrection, setDocument, setNpid, setOrganization, setPositionList, setRecipient, setUserName, setXmlData`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Invoice

    public Invoice()

- ## Method Details

  - ### isShowReady

    public boolean isShowReady()

  - ### setContractComment

    public Invoice setContractComment(String contractComment)
    Overrides:
      `setContractComment` in class `BillDoc`

  - ### setContractId

    public Invoice setContractId(int contractId)
    Overrides:
      `setContractId` in class `BillDoc`

  - ### setContractTitle

    public Invoice setContractTitle(String contractTitle)
    Overrides:
      `setContractTitle` in class `BillDoc`

  - ### setCreateDate

    public Invoice setCreateDate(Date createDate)
    Overrides:
      `setCreateDate` in class `BillDoc`

  - ### setFormatNumber

    public Invoice setFormatNumber(String formatNumber)
    Overrides:
      `setFormatNumber` in class `BillDoc`

  - ### setId

    public Invoice setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `BillDoc`

  - ### setMonth

    public Invoice setMonth(int month)
    Overrides:
      `setMonth` in class `BillDoc`

  - ### setNumber

    public Invoice setNumber(int number)
    Overrides:
      `setNumber` in class `BillDoc`

  - ### setNumberInMonth

    public Invoice setNumberInMonth(int numberInMonth)
    Overrides:
      `setNumberInMonth` in class `BillDoc`

  - ### setNumberInYear

    public Invoice setNumberInYear(int numberInYear)
    Overrides:
      `setNumberInYear` in class `BillDoc`

  - ### setShowReady

    public Invoice setShowReady(boolean showReady)

  - ### setSum

    public Invoice setSum(BigDecimal sum)
    Overrides:
      `setSum` in class `BillDoc`

  - ### setTypeId

    public Invoice setTypeId(int typeId)
    Overrides:
      `setTypeId` in class `BillDoc`

  - ### setTypeTitle

    public BillDoc setTypeTitle(String typeTitle)
    Overrides:
      `setTypeTitle` in class `BillDoc`

  - ### setUnloadStatus

    public Invoice setUnloadStatus(int unloadStatus)
    Overrides:
      `setUnloadStatus` in class `BillDoc`

  - ### setUserId

    public Invoice setUserId(int userId)
    Description copied from class: `BillDoc`
    Установить код создавшего пользователя
    Overrides:
      `setUserId` in class `BillDoc`

  - ### setYear

    public Invoice setYear(int year)
    Overrides:
      `setYear` in class `BillDoc`